Bug 906302 - When Launching a new Instance, all flavors are displayed regardless of the image requirements
When Launching a new Instance, all flavors are displayed regardless of the im...
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
Unspecified Linux
low Severity low
: ga
: 7.0 (Kilo)
Assigned To: Matthias Runge
Ido Ovadia
: Triaged, ZStream
Depends On:
Blocks: 1072204 1072205
  Show dependency treegraph
Reported: 2013-01-31 07:16 EST by Julie Pichon
Modified: 2016-04-26 09:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-django-horizon-2015.1.0-6.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1072204 1072205 (view as bug list)
Last Closed: 2015-08-05 09:10:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pic (49.23 KB, image/jpeg)
2014-06-19 01:33 EDT, Amit Ugol
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1116122 None None None Never
Launchpad 1337278 None None None Never
OpenStack gerrit 31099 None None None Never

  None (edit)
Description Julie Pichon 2013-01-31 07:16:29 EST
Description of problem:
Reported by aortega. Regardless of an image's disk and RAM requirements, all flavors are available in the drop-down menu when Launching an instance. Therefore you can end up using e.g. a m1.tiny flavour with 512Mb RAM with an image that requires at least 2Gb of RAM.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new image, setting the minimum RAM requirement to 2048MB
2. After the image is uploaded, try to Launch it
Actual results:
The flavor selected by default is m1.tiny, which doesn't actually provide enough RAM for the image.

After clicking Launch, the instance fails to launch with an error "Instance type's memory is too small for requested image. (HTTP 400)"

Expected results:
Horizon should default to an appropriate flavor, and probably prevent the user from launching an image with a flavor that doesn't meet the image's requirements.

The UI should also be enhanced to display the image's requirements. At the moment, there is no indication what an image's requirements are when launching a new instance.

Additional info:
Comment 2 Matt Wagner 2013-11-27 10:33:48 EST
This has been merged:

commit fda6eb590cc728c82f8e61a8d5248574f3d258c3
Merge: 7986570 e07e93a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 27 01:25:42 2013 +0000

    Merge "Disable selection of undersized flavors for image"

commit e07e93a1d7bc7b4b42569518701bfe30be8f3b03
Author: Matt Wagner <matt.wagner@redhat.com>
Date:   Thu May 30 13:48:49 2013 -0400

    Disable selection of undersized flavors for image

    Where an image has minimum requirements for RAM or disk, we should
    not allow users to select a flavor that does not meet those
    requirements only to have the form fail when submitted.

    Change-Id: I00667f4ca30a43771eaf3257fd055d3387687658
    Fixes: bug 1116122
Comment 3 Julie Pichon 2013-11-27 10:45:33 EST
Changing back to POST, MODIFIED will be set when the patch had made it into our packages. Thanks again!
Comment 4 Amit Ugol 2014-06-19 01:33:04 EDT
Created attachment 910251 [details]
Comment 5 Amit Ugol 2014-06-19 01:47:06 EDT
tested on python-django-horizon-2014.1-7.el7ost.noarch.
I have created an image with a min disc and min ram of 8gb.
tiny is grayed out. small(2gb) is selectable.

from cli:
# nova image-show 606cd2bd-1b06-4782-a7b3-1790c5db7f17
| Property             | Value                                |
| OS-EXT-IMG-SIZE:size | 2111766528                           |
| created              | 2014-06-19T05:26:50Z                 |
| id                   | 606cd2bd-1b06-4782-a7b3-1790c5db7f17 |
| minDisk              | 8                                    |
| minRam               | 8                                    |
| name                 | test-002                             |
| progress             | 100                                  |
| status               | ACTIVE                               |
| updated              | 2014-06-19T05:27:01Z                 |

see attached pic
Comment 6 Julie Pichon 2014-07-03 06:47:00 EDT
I can reproduce the RAM issue using python-django-horizon-2014.1-7.el7ost and on master upstream. I filed https://bugs.launchpad.net/horizon/+bug/1337278 to track the fix.
Comment 10 Matthias Runge 2015-02-16 03:39:40 EST
Checks were added for Icehouse version. It turned out, checks didn't cover all possibilities.

Launch instance workflow will significantly change in kilo. A backport is not possible then.

For further info, please see https://blueprints.launchpad.net/horizon/+spec/launch-instance-redesign
Comment 13 Ido Ovadia 2015-06-11 08:57:32 EDT
Comment 15 errata-xmlrpc 2015-08-05 09:10:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.